com.holonplatform.vaadin.flow.internal

## Class DefaultVaadinHttpRequest

- java.lang.Object
- - com.holonplatform.http.internal.AbstractHttpRequest
  - - com.holonplatform.vaadin.flow.internal.DefaultVaadinHttpRequest

- All Implemented Interfaces:
    com.holonplatform.core.messaging.Message<String,List<String>>, com.holonplatform.core.messaging.MessageHeaders<List<String>>, com.holonplatform.http.HttpHeaders, com.holonplatform.http.HttpMessage<String>, com.holonplatform.http.HttpRequest, VaadinHttpRequest

      public class DefaultVaadinHttpRequest
      extends com.holonplatform.http.internal.AbstractHttpRequest
      implements VaadinHttpRequest

  `HttpRequest` using Vaadin `VaadinRequest`.
  Since:
    5.2.0

- - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.http.HttpHeaders

      `ACCEPT, ACCEPT_CHARSET, ACCEPT_ENCODING, ACCEPT_LANGUAGE, ACCEPT_RANGES, AGE, ALLOW, AUTHORIZATION, CACHE_CONTROL, CONNECTION, CONTENT_DISPOSITION, CONTENT_ENCODING, CONTENT_LANGUAGE, CONTENT_LENGTH, CONTENT_LOCATION, CONTENT_RANGE, CONTENT_TYPE, COOKIE, DATE, ETAG, EXPECT, EXPIRES, FROM, HOST, IF_MATCH, IF_MODIFIED_SINCE, IF_NONE_MATCH, IF_RANGE, IF_UNMODIFIED_SINCE, LAST_MODIFIED, LINK, LOCATION, MAX_FORWARDS, ORIGIN, PRAGMA, PROXY_AUTHENTICATE, PROXY_AUTHORIZATION, RANGE, REFERER, RETRY_AFTER, SCHEME_BASIC, SCHEME_BEARER, SCHEME_DIGEST, SERVER, SET_COOKIE, TRAILER, TRANSFER_ENCODING, UPGRADE, USER_AGENT, VARY, VIA, WARNING, WWW_AUTHENTICATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultVaadinHttpRequest(com.vaadin.flow.server.VaadinRequest request)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getBody()`
    `String` | `getContextPath()` Returns the portion of the request URI that indicates the context of the request.
    `Map<String,List<String>>` | `getHeaders()`
    `com.holonplatform.http.HttpMethod` | `getMethod()`
    `Optional<List<String>>` | `getMultiValueRequestParameter(String name)`
    `Optional<com.holonplatform.http.Cookie>` | `getRequestCookie(String name)`
    `String` | `getRequestHost()`
    `Optional<String>` | `getRequestParameter(String name)`
    `Map<String,List<String>>` | `getRequestParameters()`
    `String` | `getRequestPath()`

    - ### Methods inherited from class com.holonplatform.http.internal.AbstractHttpRequest

      `getPayload, getPayloadType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.VaadinHttpRequest

      `create`

    - ### Methods inherited from interface com.holonplatform.http.HttpMessage

      `getProtocol`

    - ### Methods inherited from interface com.holonplatform.core.messaging.Message

      `getPayload, getPayloadType`

    - ### Methods inherited from interface com.holonplatform.http.HttpHeaders

      `getAuthorizationBasicCredentials, getAuthorizationBearer, getContentLength, getDate, getHeaderValue, getLocale, getLocales, getLocation`

    - ### Methods inherited from interface com.holonplatform.core.messaging.MessageHeaders

      `getHeader`

- - ### Constructor Detail

    - #### DefaultVaadinHttpRequest

          public DefaultVaadinHttpRequest(com.vaadin.flow.server.VaadinRequest request)

      Constructor
      Parameters:
        `request` - Vaadin request (not null)

  - ### Method Detail

    - #### getContextPath

          public String getContextPath()

      Description copied from interface: `VaadinHttpRequest`
      Returns the portion of the request URI that indicates the context of the request.
      Specified by:
        `getContextPath` in interface `VaadinHttpRequest`
      Returns:
        a String specifying the portion of the request URI that indicates the context of the request

    - #### getMethod

          public com.holonplatform.http.HttpMethod getMethod()

      Specified by:
        `getMethod` in interface `com.holonplatform.http.HttpRequest`

    - #### getRequestPath

          public String getRequestPath()

      Specified by:
        `getRequestPath` in interface `com.holonplatform.http.HttpRequest`

    - #### getRequestHost

          public String getRequestHost()

      Specified by:
        `getRequestHost` in interface `com.holonplatform.http.HttpRequest`

    - #### getRequestParameter

          public Optional<String> getRequestParameter(String name)

      Specified by:
        `getRequestParameter` in interface `com.holonplatform.http.HttpRequest`

    - #### getMultiValueRequestParameter

          public Optional<List<String>> getMultiValueRequestParameter(String name)

      Specified by:
        `getMultiValueRequestParameter` in interface `com.holonplatform.http.HttpRequest`

    - #### getRequestParameters

          public Map<String,List<String>> getRequestParameters()

      Specified by:
        `getRequestParameters` in interface `com.holonplatform.http.HttpRequest`

    - #### getRequestCookie

          public Optional<com.holonplatform.http.Cookie> getRequestCookie(String name)

      Specified by:
        `getRequestCookie` in interface `com.holonplatform.http.HttpRequest`

    - #### getBody

          public InputStream getBody()
                              throws IOException,
                                     UnsupportedOperationException

      Specified by:
        `getBody` in interface `com.holonplatform.http.HttpRequest`
      Throws:
        `IOException`
        `UnsupportedOperationException`

    - #### getHeaders

          public Map<String,List<String>> getHeaders()

      Specified by:
        `getHeaders` in interface `com.holonplatform.core.messaging.MessageHeaders<List<String>>`

Copyright © 2019 The Holon Platform. All rights reserved.